# $Revision: 1.13 $, $Date: 2008/07/27 22:43:49 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Modem
%define		pnam	Vgetty
Summary:	Modem::Vgetty - interface to vgetty(8)
Summary(pl.UTF-8):	Modem::Vgetty - interfejs do vgetty(8)
Name:		perl-Modem-Vgetty
Version:	0.03
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	351bb0a027dc6dc9552ead80386e57d3
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Modem::Vgetty is an encapsulation object for writing applications for
voice modems using the vgetty(8) or vm(8) package. The answering
machines and sofisticated voice applications can be written using
this module.

%description -l pl.UTF-8
Modem::Vgetty to obiekt hermetyzujący do pisania aplikacji dla modemów
głosowych przy użyciu pakietów vgetty(8) lub vm(8). Można przy użyciu
tego modułu pisać automaty odpowiadające i przemyślne aplikacje
głosowe.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Modem-Vgetty.spec,v $
Revision 1.13  2008/07/27 22:43:49  arekm
- release 3

Revision 1.12  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:49:41  baggins
- converted to UTF-8

Revision 1.10  2004/11/03 22:30:35  paladine
- formatting

Revision 1.9  2004/05/06 18:20:42  ankry
- fixed perl-devel BR

Revision 1.8  2004/04/24 14:52:15  ankry
- license fixes / unification

Revision 1.7  2003/09/09 10:24:42  ankry
- spaces -> tab

Revision 1.6  2003/05/28 13:00:53  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:24:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/04/05 22:03:27  ankry
- added %dec and examples, rel. 2

Revision 1.3  2003/03/27 19:57:14  qboosh
- pl

Revision 1.2  2003/03/17 00:04:23  radek
- oops... cosmetic fixes.

Revision 1.1  2003/03/17 00:00:02  radek
- new
